<?php defined('ALTUMCODE') || die() ?>

<div class="index-hero pt-6 pb-4">
    <div class="container">
        <?= \Altum\Alerts::output_alerts() ?>

        <div class="row">
            <div class="col-12 col-lg-8 offset-lg-2 d-flex flex-column justify-content-center align-items-center text-center">
                <h1 class="index-header mb-4" data-aos="fade-up"><?= l('index.header') ?></h1>
                <p class="index-subheader" data-aos="fade-up" data-aos-delay="100"><?= sprintf(l('index.subheader'), '<span class="text-primary-800 font-weight-bold">', '</span>') ?></p>

                <div class="d-flex flex-column flex-lg-row mt-5 mb-4">
                    <?php if(settings()->users->register_is_enabled): ?>
                    <a href="<?= url('register') ?>" class="btn btn-primary index-button mb-2 mb-lg-0 mr-lg-2" data-aos="fade-up" data-aos-delay="200">
                        <?= l('index.get_started') ?> <i class="fas fa-fw fa-sm fa-arrow-right"></i>
                    </a>
                    <?php endif ?>

                    <a href="<?= url('s/example') ?>" target="_blank" class="btn btn-gray-100 index-button mb-2 mb-lg-0" data-aos="fade-up" data-aos-delay="300">
                        <?= l('index.example') ?> <i class="fas fa-fw fa-sm fa-external-link-alt"></i>
                    </a>
                </div>

                <ul class="list-style-none d-flex flex-column flex-lg-row my-4">
                    <li class="d-flex align-items-center mb-2 mb-lg-0 mx-lg-3">
                        <i class="fas fa-fw mr-2 fa-check-circle text-primary"></i>
                        <div class="text-muted">
                            <?= l('index.feature.one') ?>
                        </div>
                    </li>

                    <li class="d-flex align-items-center mb-2 mb-lg-0 mx-lg-3">
                        <i class="fas fa-fw mr-2 fa-check-circle text-primary"></i>
                        <div class="text-muted">
                            <?= l('index.feature.two') ?>
                        </div>
                    </li>

                    <li class="d-flex align-items-center mb-2 mb-lg-0 mx-lg-3">
                        <i class="fas fa-fw mr-2 fa-check-circle text-primary"></i>
                        <div class="text-muted">
                            <?= l('index.feature.three') ?>
                        </div>
                    </li>
                </ul>
            </div>
        </div>

    </div>
</div>

<div class="my-3">&nbsp;</div>

<div class="container">

    <div class="row">
        <div class="col-12 col-lg-4">
            <div class="card bg-gray-50 border-0 mb-4 position-relative">
                <div class="card-body">
                    <div class="mb-2">
                        <i class="fas fa-fw fa-server mr-1"></i> <a href="#tab-monitors" class="h5 text-blue-500 stretched-link text-decoration-none">
                            <?= l('index.monitors.header') ?>
                        </a>
                    </div>
                    <span class="text-muted"><?= l('index.monitors.subheader') ?></span>
                </div>
            </div>

            <div class="card bg-gray-50 border-0 mb-4 position-relative">
                <div class="card-body">
                    <div class="mb-2">
                        <i class="fas fa-fw fa-heartbeat mr-1"></i> <a href="#tab-heartbeats" class="h5 text-blue-500 stretched-link text-decoration-none">
                            <?= l('index.heartbeats.header') ?>
                        </a>
                    </div>
                    <span class="text-muted"><?= l('index.heartbeats.subheader') ?></span>
                </div>
            </div>

            <div class="card bg-gray-50 border-0 mb-4 position-relative">
                <div class="card-body">
                    <div class="mb-2">
                        <i class="fas fa-fw fa-wifi mr-1"></i> <a href="#tab-status-pages" class="h5 text-blue-500 stretched-link text-decoration-none">
                            <?= l('index.status_pages.header') ?>
                        </a>
                    </div>
                    <span class="text-muted"><?= l('index.status_pages.subheader') ?></span>
                </div>
            </div>

            <div class="card bg-gray-50 border-0 mb-4 position-relative">
                <div class="card-body">
                    <div class="mb-2">
                        <i class="fas fa-fw fa-times mr-1"></i> <a href="#tab-incidents" class="h5 text-blue-500 stretched-link text-decoration-none">
                            <?= l('index.incidents.header') ?>
                        </a>
                    </div>
                    <span class="text-muted"><?= l('index.incidents.subheader') ?></span>
                </div>
            </div>
        </div>

        <div class="col-12 col-lg-8">
            <div class="" id="tab-monitors">
                <img src="<?= ASSETS_FULL_URL . 'images/index/monitor.jpg' ?>" class="img-fluid shadow-lg rounded" loading="lazy" />
            </div>
            <div class="d-none" id="tab-heartbeats">
                <img src="<?= ASSETS_FULL_URL . 'images/index/heartbeat.jpg' ?>" class="img-fluid shadow-lg rounded" loading="lazy" />
            </div>
            <div class="d-none" id="tab-status-pages">
                <img src="<?= ASSETS_FULL_URL . 'images/index/status-page.jpg' ?>" class="img-fluid shadow-lg rounded" loading="lazy" />
            </div>
            <div class="d-none" id="tab-incidents">
                <img src="<?= ASSETS_FULL_URL . 'images/index/incidents.jpg' ?>" class="img-fluid shadow-lg rounded" loading="lazy" />
            </div>
        </div>
    </div>

    <?php ob_start() ?>
    <script>
        document.querySelectorAll('a[href^="#tab-"]').forEach(element => {
            element.addEventListener('click', event => {

                let target = element.getAttribute('href').replace('#', '');

                document.querySelectorAll('div[id^="tab-"]').forEach(image => {
                    image.classList.remove('d-none');
                    image.classList.add('d-none');
                });

                document.querySelector(`div[id="${target}"]`).classList.remove('d-none');

                event.preventDefault();
            })
        })
    </script>
    <?php \Altum\Event::add_content(ob_get_clean(), 'javascript') ?>
</div>

<div class="my-5">&nbsp;</div>

<div class="bg-blue-900 py-8">
    <div class="container text-center">
        <span class="text-white h2"><?= sprintf(l('index.stats'), nr($data->total_monitors_logs), nr($data->total_monitors), nr($data->total_status_pages)) ?></span>
    </div>
</div>

<div class="my-5">&nbsp;</div>

<div class="container">
    <div class="row">
        <div class="col-6 col-lg-4 mb-5">
            <div class="d-flex flex-column justify-content-between h-100" data-aos="fade-up" data-aos-delay="100">
                <img src="<?= ASSETS_FULL_URL . 'images/index/ping-servers.png' ?>" class="img-fluid rounded mb-4 index-card-image" loading="lazy" />

                <div>
                    <div class="mb-2">
                        <span class="h5"><?= l('index.ping_servers.header') ?></span>
                    </div>
                    <span class="text-muted"><?= l('index.ping_servers.subheader') ?></span>
                </div>
            </div>
        </div>

        <div class="col-6 col-lg-4 mb-5">
            <div class="d-flex flex-column justify-content-between h-100" data-aos="fade-up" data-aos-delay="200">
                <img src="<?= ASSETS_FULL_URL . 'images/index/custom-request.png' ?>" class="img-fluid rounded mb-4 index-card-image" loading="lazy" />

                <div>
                    <div class="mb-2">
                        <span class="h5"><?= l('index.custom_request.header') ?></span>
                    </div>
                    <span class="text-muted"><?= l('index.custom_request.subheader') ?></span>
                </div>
            </div>
        </div>

        <div class="col-6 col-lg-4 mb-5">
            <div class="d-flex flex-column justify-content-between h-100" data-aos="fade-up" data-aos-delay="300">
                <img src="<?= ASSETS_FULL_URL . 'images/index/custom-response.png' ?>" class="img-fluid rounded mb-4 index-card-image" loading="lazy" />

                <div>
                    <div class="mb-2">
                        <span class="h5"><?= l('index.custom_response.header') ?></span>
                    </div>
                    <span class="text-muted"><?= l('index.custom_response.subheader') ?></span>
                </div>
            </div>
        </div>

        <div class="col-6 col-lg-4 mb-5">
            <div class="d-flex flex-column justify-content-between h-100" data-aos="fade-up" data-aos-delay="400">
                <img src="<?= ASSETS_FULL_URL . 'images/index/notifications.png' ?>" class="img-fluid rounded mb-4 index-card-image" loading="lazy" />

                <div>
                    <div class="mb-2">
                        <span class="h5"><?= l('index.notifications.header') ?></span>
                    </div>
                    <span class="text-muted"><?= l('index.notifications.subheader') ?></span>
                </div>
            </div>
        </div>

        <div class="col-6 col-lg-4 mb-5">
            <div class="d-flex flex-column justify-content-between h-100" data-aos="fade-up" data-aos-delay="500">
                <img src="<?= ASSETS_FULL_URL . 'images/index/projects.png' ?>" class="img-fluid rounded mb-4 index-card-image" loading="lazy" />

                <div>
                    <div class="mb-2">
                        <span class="h5"><?= l('index.projects.header') ?></span>
                    </div>
                    <span class="text-muted"><?= l('index.projects.subheader') ?></span>
                </div>
            </div>
        </div>

        <div class="col-6 col-lg-4 mb-5">
            <div class="d-flex flex-column justify-content-between h-100" data-aos="fade-up" data-aos-delay="600">
                <img src="<?= ASSETS_FULL_URL . 'images/index/custom-domains.png' ?>" class="img-fluid rounded mb-4 index-card-image" loading="lazy" />

                <div>
                    <div class="mb-2">
                        <span class="h5"><?= l('index.custom_domains.header') ?></span>
                    </div>
                    <span class="text-muted"><?= l('index.custom_domains.subheader') ?></span>
                </div>
            </div>
        </div>
    </div>
</div>

<?php if(settings()->main->display_index_testimonials): ?>
<div class="my-5">&nbsp;</div>

<div class="py-7 bg-primary-100">
    <div class="container">
        <div class="text-center">
            <h2><?= l('index.testimonials.header') ?> <i class="fas fa-fw fa-xs fa-check-circle text-primary"></i></h2>
        </div>

        <div class="row mt-8">
            <?php foreach(['one', 'two', 'three', ] as $key => $value): ?>
                <div class="col-12 col-lg-4 mb-6 mb-lg-0" data-aos="fade-up" data-aos-delay="<?= $key * 100 ?>">

                    <div class="card border-0 zoom-animation">
                        <div class="card-body">
                            <img src="<?= ASSETS_FULL_URL . 'images/index/testimonial-' . $value . '.jpeg' ?>" class="img-fluid index-testimonial-avatar" loading="lazy" />

                            <p class="mt-5">
                                <span class="text-gray-800 font-weight-bold text-muted h5">“</span>
                                <span><?= l('index.testimonials.' . $value . '.text') ?></span>
                                <span class="text-gray-800 font-weight-bold text-muted h5">”</span>
                            </p>

                            <div class="blockquote-footer mt-4">
                                <span class="font-weight-bold"><?= l('index.testimonials.' . $value . '.name') ?></span>, <span class="text-muted"><?= l('index.testimonials.' . $value . '.attribute') ?></span>
                            </div>
                        </div>
                    </div>
                </div>
            <?php endforeach ?>
        </div>
    </div>
</div>
<?php endif ?>

<?php if(settings()->main->display_index_plans): ?>
<div class="my-5">&nbsp;</div>

<div class="container">
    <div class="text-center mb-5">
        <small class="text-primary font-weight-bold text-uppercase"><?= l('index.pricing.subheader') ?></small>
        <h2 class="mt-2"><?= l('index.pricing.header') ?></h2>
    </div>

    <?= $this->views['plans'] ?>
</div>
<?php endif ?>

<?php if(settings()->main->display_index_faq): ?>
    <div class="my-5">&nbsp;</div>

    <div class="container">
        <div class="text-center mb-5">
            <h2><?= sprintf(l('index.faq.header'), '<span class="text-primary">', '</span>') ?></h2>
        </div>

        <div class="accordion index-faq" id="faq_accordion">
            <?php foreach(['one', 'two', 'three', 'four'] as $key): ?>
                <div class="card">
                    <div class="card-body">
                        <div class="" id="<?= 'faq_accordion_' . $key ?>">
                            <h3 class="mb-0">
                                <button class="btn btn-lg font-weight-bold btn-block d-flex justify-content-between text-gray-800 px-0 icon-zoom-animation" type="button" data-toggle="collapse" data-target="<?= '#faq_accordion_answer_' . $key ?>" aria-expanded="true" aria-controls="<?= 'faq_accordion_answer_' . $key ?>">
                                    <span><?= l('index.faq.' . $key . '.question') ?></span>

                                    <span data-icon>
                                <i class="fas fa-fw fa-circle-chevron-down"></i>
                            </span>
                                </button>
                            </h3>
                        </div>

                        <div id="<?= 'faq_accordion_answer_' . $key ?>" class="collapse text-muted mt-3" aria-labelledby="<?= 'faq_accordion_' . $key ?>" data-parent="#faq_accordion">
                            <?= l('index.faq.' . $key . '.answer') ?>
                        </div>
                    </div>
                </div>
            <?php endforeach ?>
        </div>
    </div>

    <?php ob_start() ?>
    <script>
        'use strict';

        $('#faq_accordion').on('show.bs.collapse', event => {
            let svg = event.target.parentElement.querySelector('[data-icon] svg')
            svg.style.transform = 'rotate(180deg)';
            svg.style.color = 'var(--primary)';
        })

        $('#faq_accordion').on('hide.bs.collapse', event => {
            let svg = event.target.parentElement.querySelector('[data-icon] svg')
            svg.style.color = 'var(--primary-800)';
            svg.style.removeProperty('transform');
        })
    </script>
    <?php \Altum\Event::add_content(ob_get_clean(), 'javascript') ?>
<?php endif ?>

<?php if(settings()->users->register_is_enabled): ?>
    <div class="my-5">&nbsp;</div>

    <div class="container">
        <div class="text-center mb-5">
            <h2><?= sprintf(l('index.faq.header'), '<span class="text-primary">', '</span>') ?></h2>
        </div>

        <div class="accordion index-faq" id="faq_accordion">
            <?php foreach(['one', 'two', 'three', 'four'] as $key): ?>
                <div class="card">
                    <div class="card-body">
                        <div class="" id="<?= 'faq_accordion_' . $key ?>">
                            <h3 class="mb-0">
                                <button class="btn btn-lg font-weight-bold btn-block d-flex justify-content-between text-gray-800 px-0 icon-zoom-animation" type="button" data-toggle="collapse" data-target="<?= '#faq_accordion_answer_' . $key ?>" aria-expanded="true" aria-controls="<?= 'faq_accordion_answer_' . $key ?>">
                                    <span><?= l('index.faq.' . $key . '.question') ?></span>

                                    <span data-icon>
                                        <i class="fas fa-fw fa-circle-chevron-down"></i>
                                    </span>
                                </button>
                            </h3>
                        </div>

                        <div id="<?= 'faq_accordion_answer_' . $key ?>" class="collapse text-muted mt-2" aria-labelledby="<?= 'faq_accordion_' . $key ?>" data-parent="#faq_accordion">
                            <?= l('index.faq.' . $key . '.answer') ?>
                        </div>
                    </div>
                </div>
            <?php endforeach ?>
        </div>
    </div>
<?php endif ?>

<?php ob_start() ?>
<link rel="stylesheet" href="<?= ASSETS_FULL_URL . 'css/libraries/aos.min.css' ?>">
<?php \Altum\Event::add_content(ob_get_clean(), 'head') ?>

<?php ob_start() ?>
<script src="<?= ASSETS_FULL_URL . 'js/libraries/aos.min.js' ?>"></script>

<script>
    AOS.init({
        delay: 100,
        duration: 600
    });
</script>
<?php \Altum\Event::add_content(ob_get_clean(), 'javascript') ?>

